/*================= view1 ============================
This is the view for the index.html page. */

// HTML DOM elements: creating variables

var aName = document.getElementById("actorName");
var hShot = document.getElementById("headShot");
var dsCription = document.getElementById("desCription");
var lFilms = document.getElementById("listFilms");
var acTitle = document.getElementById("title");
var acFooter = document.getElementById("footer");

// Parsing the XML and loading data into the elements

var parsexml = function (xml) 
{
	
// We declare a variable for the XML file to get to the data later.

    var xmlDoc = xml.responseXML;
    var v1 = xmlDoc.getElementsByTagName("view1")[0];

// Data are retrieved from the XML file.

	// Title in the Head section
	var myTitle = v1.getElementsByTagName("title")[0].childNodes[0].nodeValue;
	//Headline showing the name
	var myName = v1.getElementsByTagName("name")[0].childNodes[0].nodeValue;
	// Headshot
	var myimage = v1.getElementsByTagName("headshot")[0].childNodes[0].nodeValue;
	// Actor's short description
	var myDescription = v1.getElementsByTagName("description")[0].childNodes[0].nodeValue;
	// footer
	var myFooter = v1.getElementsByTagName("footer")[0].childNodes[0].nodeValue;
	
// Data are loaded into the HTML elements
	acTitle.innerHTML = myTitle;
    aName.innerHTML = myName;
    hShot.src = myimage;
    dsCription.innerHTML = myDescription;
    acFooter.innerHTML = myFooter;
	
	// Description and links for films
	var myLink1 = v1.getElementsByTagName("links")[0].getElementsByTagName("link")[0].childNodes[0].nodeValue;
	var myUrl1 = v1.getElementsByTagName("links")[0].getElementsByTagName("link")[0].getAttribute("url");
		
	for (var b = 0; b < v1.getElementsByTagName("links")[0].getElementsByTagName("link").length; b++)
	{
		var myLink = v1.getElementsByTagName("links")[0].getElementsByTagName("link")[b].childNodes[0].nodeValue;
		var myUrl = v1.getElementsByTagName("links")[0].getElementsByTagName("link")[b].getAttribute("url");
		lFilms.innerHTML += "<li><a href='"+myUrl+"' target=blank>"+myLink+"</a></li>";
	}
	
	function timeout ()
	{
		document.getElementsByTagName("html")[0].style.visibility = "visible";
		clearInterval (timeout);
	}
	var timerId = setInterval(timeout, 2000);
}

var xhttp = new XMLHttpRequest();
xhttp.onreadystatechange = function() 
{
    if (xhttp.readyState == 4 && xhttp.status == 200) 
	{
		// When the XML is loaded, parsing can start.
    	var p = new parsexml(xhttp);
    }
}
xhttp.open("GET", "assets/data/persondata.xml", true);
xhttp.send(); 